package com.lc.mybatis.mapper;

import com.lc.mybatis.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UserMapper {

    public List<User> getByUser( User user );
    public List<User> getByUserChoose( User user );
    public List<User> getByUserWhere( User user );
    public List<User> getByUserTrim01( User user );
    public void updateUserSet(User user );
    public void updateUserTrim02(User user );
    public void insertBatch(@Param("userList") List<User> userList );
    public void deleteByIds(@Param("ids") List<Integer> ids );
    public User getById( Integer id );
    public List<User> getUserList();

}
